Bug 1960562

Summary: manifests: invalid selector in ServiceMonitor makes CVO hotloop
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Image RegistryAssignee: Oleg Bulatov <obulatov>
Status: CLOSED ERRATA QA Contact: XiuJuan Wang <xiuwang>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.8CC: aos-bugs, wewang, xiuwang
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Cause: ServiceMonitor had invalid selector in the manifest Consequence: CVO wasn't able to create this selector as it was stripped by the API server Fix: update the selector Result: CVO can successfully reconcile the resource and doesn't try to update it every sync iteration
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-15 09:27:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1960330    
Bug Blocks:    

Description OpenShift BugZilla Robot 2021-05-14 08:45:27 UTC
+++ This bug was initially created as a clone of Bug #1960330 +++

Invalid `selector` set in ServiceMonitor for image-registry operator, this makes CVO apply this manifest on every sync iteration

Comment 2 XiuJuan Wang 2021-05-31 07:53:47 UTC
Validate this bug before pr merged, change the bug status to Verified manually.

Comment 4 Siddharth Sharma 2021-06-04 18:39:43 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 8 errata-xmlrpc 2021-06-15 09:27:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286